<?php
class modelGeo extends cmsModel {

    public $limit = '';

    public function getCountries(){
		
		$system_lang = cmsCore::getLanguageName();
		$config_lang = cmsConfig::getInstance()->language;
		$postfix = '';
		if($system_lang != $config_lang) $postfix = '_'.$system_lang;

        $this->useCache('geo.countries');

        return $this->orderBy('ordering, name')->get('geo_countries'.$postfix, function($item){

            return $item['name'];

        });

    }

    public function getRegions($country_id=false){
		
		$system_lang = cmsCore::getLanguageName();
		$config_lang = cmsConfig::getInstance()->language;
		$postfix = '';
		if($system_lang != $config_lang) $postfix = '_'.$system_lang;

        $this->useCache('geo.regions');

        if ($country_id){
            $this->filterEqual('country_id', $country_id);
        }

        return $this->orderBy('name')->get('geo_regions'.$postfix, function($item){

            return $item['name'];

        });

    }

    public function getCities($region_id=false){
		
		$system_lang = cmsCore::getLanguageName();
		$config_lang = cmsConfig::getInstance()->language;
		$postfix = '';
		if($system_lang != $config_lang) $postfix = '_'.$system_lang;

        $this->useCache('geo.cities');

        if ($region_id){
            $this->filterEqual('region_id', $region_id);
        }

        return $this->orderBy('name')->get('geo_cities'.$postfix, function($item){

            return $item['name'];

        });

    }

    public function getCityParents($city_id){
		
		$system_lang = cmsCore::getLanguageName();
		$config_lang = cmsConfig::getInstance()->language;
		$postfix = '';
		if($system_lang != $config_lang) $postfix = '_'.$system_lang;

        $this->useCache('geo.cities.parents');

        $this->select('r.id', 'region_id');
        $this->select('c.id', 'country_id');
        $this->select('r.name', 'region_name');
        $this->select('c.name', 'country_name');

        $this->join('geo_regions'.$postfix, 'r', 'r.id = i.region_id');
        $this->join('geo_countries'.$postfix, 'c', 'c.id = r.country_id');

        $this->filterEqual('id', $city_id);

        return $this->getItem('geo_cities'.$postfix);

    }

    public function getRegionParents($region_id){
		
		$system_lang = cmsCore::getLanguageName();
		$config_lang = cmsConfig::getInstance()->language;
		$postfix = '';
		if($system_lang != $config_lang) $postfix = '_'.$system_lang;

        $this->useCache('geo.regions.parents');

        $this->select('i.id', 'region_id');
        $this->select('c.id', 'country_id');
        $this->select('i.name', 'region_name');
        $this->select('c.name', 'country_name');

        $this->join('geo_countries'.$postfix, 'c', 'c.id = i.country_id');

        $this->filterEqual('id', $region_id);

        return $this->getItem('geo_regions'.$postfix);

    }

    public function getCity($id){
		
		$system_lang = cmsCore::getLanguageName();
		$config_lang = cmsConfig::getInstance()->language;
		$postfix = '';
		if($system_lang != $config_lang) $postfix = '_'.$system_lang;

        $this->useCache('geo.city');

        return $this->getItemById('geo_cities'.$postfix, $id);

    }

}
