<?php	$css_file = $this->getStylesFileName('languages');
        if ($css_file){ $this->addCSS($css_file); }
		?>

<?php if ((!isset($attributes['toolbar']) || $attributes['toolbar']) && $this->isToolbar()){ ?>
    <div class="cp_toolbar">
        <?php $this->toolbar(); ?>
    </div>
<?php } ?>

<?php 

    $is_ajax = $attributes['method']=='ajax';
    $method = $is_ajax ? 'post' : $attributes['method'];

    $default_submit = array('title' => LANG_SAVE);
    $default_cancel = array('title' => LANG_CANCEL, 'href'=>href_to_home(), 'show'=>false);

    $submit = isset($attributes['submit']) ? array_merge($default_submit, $attributes['submit']) : $default_submit;
    $cancel = isset($attributes['cancel']) ? array_merge($default_cancel, $attributes['cancel']) : $default_cancel;

    $prepend_html = isset($attributes['prepend_html']) ? $attributes['prepend_html'] : '';
    $append_html = isset($attributes['append_html']) ? $attributes['append_html'] : '';

    $form_id = uniqid();
    $index = 0;

?>
<form id="<?php echo $form_id; ?>" action="<?php echo $attributes['action']; ?>"
      method="<?php echo $method; ?>"
      <?php if ($is_ajax){ ?>
        class="modal"
      <?php } ?>
      enctype="multipart/form-data"
      accept-charset="utf-8">

    <?php echo html_csrf_token(); ?>

    <?php echo $prepend_html; ?>

    <div class="<?php if($form->is_tabbed){ ?>tabs-menu <?php } ?>form-tabs">

        <?php if($form->is_tabbed){ ?>
            <ul class="tabbed">
                <?php foreach($form->getStructure() as $fieldset_id => $fieldset){ ?>
                    <?php if (empty($fieldset['childs'])) { continue; } ?>
                    <li><a href="#tab-<?php echo $fieldset_id; ?>"><?php echo $fieldset['title']; ?></a></li>
                <?php } ?>
            </ul>
        <?php } ?>

        <?php foreach($form->getStructure() as $fieldset_id => $fieldset){ ?>
        
       
<?php #перевод заголовков fieldset
	$system_lang = cmsCore::getLanguageName();
	$config = cmsConfig::getInstance();
	if(cmsCore::isControllerExists('languages') && $system_lang !== $config->language) {
		$contr = cmsCore::getController('languages');
		$url = explode('/', $contr->cms_core->uri);
		$current_controller = 'languages_con_'.$url[0];

		if(isset($data['ctype_id'])) {
			$content_model = cmsCore::getModel('content');										
			$ctype = $content_model->getContentType($data['ctype_id']);
			$model = cmsCore::getModel('languages');	
		
			foreach($fieldset['childs'] as $key=>$child){
				$model->filterEqual('item_id', $key.'_fieldset')->filterEqual('lang', $system_lang);
				$title = $model->getFieldFiltered('languages_fields', 'title');	
				if($title) $fieldset['title'] = $title;								
			}
		}
		
		if($current_controller = 'users' && isset($fieldset['title'])){
			foreach($fieldset['childs'] as $key=>$child){
				$model = cmsCore::getModel('languages');
				$model->filterEqual('item_id', 0)->filterEqual('ctype', str_replace(' ', '_', $fieldset['title']))->filterEqual('lang', $system_lang);
				$title = $model->getFieldFiltered('languages_userfields', 'title');	
				if($title) $fieldset['title'] = $title;								
			}
			
		}

	} 	
#перевод заголовков fieldset ?>

        <?php if ($fieldset['type'] == 'html'){ ?>
            <div id="fset_<?php echo $fieldset_id; ?>"><?php if (!empty($fieldset['content'])) { echo $fieldset['content']; } ?></div>
            <?php continue; ?>
        <?php } ?>

        <?php if (empty($fieldset['is_empty']) && empty($fieldset['childs'])) { continue; } ?>

            <div id="tab-<?php echo $fieldset_id; ?>" class="tab" <?php if($form->is_tabbed && $index){ ?>style="display: none;"<?php } ?>>
            <fieldset id="fset_<?php echo $fieldset_id; ?>"
            <?php if (isset($fieldset['class'])){ ?>class="<?php echo $fieldset['class']; ?>"<?php } ?>
            <?php if (isset($fieldset['is_hidden'])){ ?>style="display:none"<?php } ?>> 

                <?php if (!empty($fieldset['title']) && !$form->is_tabbed){ ?>
                    <legend><?php echo $fieldset['title']; ?></legend>
                <?php } ?>

                <?php if (is_array($fieldset['childs'])){ ?>
                <?php foreach($fieldset['childs'] as $field) {?>

                    <?php

                        if ($data) { $field->setItem($data); }

                        $name = $field->getName();

                        if (is_array($errors) && isset($errors[$name])){
                            $error = $errors[$name];
                        } else {
                            $error = false;
                        }

                        $default = $field->getDefaultValue();
                        $rel = isset($field->rel) ? $field->rel : null;

                        if (strpos($name, ':') !== false){
                            $name_parts = explode(':', $name);
                            $name       = $name_parts[0].'['.$name_parts[1].']';
                            if (isset($data[$name_parts[0]]) && @array_key_exists($name_parts[1], $data[$name_parts[0]])){
                                $value = $data[$name_parts[0]][$name_parts[1]];
                            } else {
                                $value = $default;
                            }
                        } else {
                            if (is_array($data) && @array_key_exists($name, $data)){
                                $value = $data[$name];
                            } else {
                                $value = $default;
                            }
                        }

                        $classes = array(
                            'field',
                            'ft_'.strtolower(substr(get_class($field), 5))
                        );

                        if ($error){
                            $classes[] = 'field_error';
                        }

                        if (!empty($field->groups_edit)){
                            if (!in_array(0, $field->groups_edit)){
                                $classes[] = 'groups-limit';
                                foreach($field->groups_edit as $group_id){
                                    $classes[] = 'group-' . $group_id;
                                }
                            }
                        }

                        $styles = array();

                        if (isset($field->is_visible)){
                            if (!$field->is_visible){
                                $styles[] = 'display:none';
                            }
                        }

                        $classes = implode(' ', $classes);
                        $styles = implode(';', $styles);
                        $id = "f_{$field->id}";

                    ?>
 
					<div id="<?php echo $id; ?>" class="<?php echo $classes; ?>" <?php if ($rel) { ?>rel="<?php echo $rel; ?>"<?php } ?> <?php if ($styles) { ?>style="<?php echo $styles; ?>"<?php } ?>>

                        <?php if (!$field->is_hidden && !$field->getOption('is_hidden')) { ?>

                            <?php if ($error){ ?><div class="error_text"><?php echo $error; ?></div><?php } ?>

               

							
<? # перевод содержимого форм
	if(cmsCore::isControllerExists('languages')) {
		$controller = cmsCore::getController('languages');
		$options = $controller->getOptions();
		$url = explode('/', $controller->cms_core->uri);		
		
		if($options['enable_forms'] && $url[0] != 'admin'){
			$model = cmsCore::getModel('languages');
			$system_lang = cmsCore::getLanguageName();		
			$user = cmsUser::getInstance();
			$allow = false;
			$is_moderator = false;			

			if(isset($data['ctype_id'])) {
				$content_model = cmsCore::getModel('content');										
				$ctype = $content_model->getContentType($data['ctype_id']);
				$is_moderator =  cmsCore::getModel('content')->userIsContentTypeModerator($ctype['name'], $user->id);				
			}		

			if(($user->is_admin || $is_moderator) && $options['forms_admin'] == 1) $allow = true;
			if($user->is_logged && $options['forms_user'] == 1) $allow = true;
			if(!$user->is_logged && $options['forms_guest'] == 1) $allow = true;
	
			$val = $field->getInput($value);

			if(isset($ctype)){
				$result = $model->processForm($ctype, $value, $val, $field, $system_lang, $data, $allow, $options, $controller);
				list($val, $field) = $result;
				echo $val;											
			}else { 
				$result = $model->processStandartForm($value, $val, $field, $system_lang, $data);
				list($val, $field) = $result;
				echo $val;	
			}
		} else { echo $field->getInput($value); }
	} else { echo $field->getInput($value); }
# перевод содержимого форм ?>


                            <?php if(!empty($field->hint)) { ?><div class="hint"><?php echo $field->hint; ?></div><?php } ?>

                        <?php } else { ?>

                            <?php echo html_input('hidden', $name, $value); ?>

                        <?php } ?>

                    </div>

                <?php } ?>
                <?php } ?>

            </fieldset>
        </div>

        <?php $index++; } ?>

    </div>

        <script type="text/javascript">
            <?php echo $this->getLangJS('LANG_CH1','LANG_CH2','LANG_CH10', 'LANG_ISLEFT', 'LANG_SUBMIT_NOT_SAVE'); ?>
            $(function (){
                icms.forms.initUnsaveNotice();
            <?php if ($form->is_tabbed){ ?>
                initTabs('#<?php echo $form_id; ?>');
            <?php } ?>
            });
        </script>

    <?php if(!empty($attributes['hook'])){ ?>

        <?php $param = empty($attributes['hook']['param']) ? false : $attributes['hook']['param'];  ?>
        <?php $hooks_html = cmsEventsManager::hookAll($attributes['hook']['event'], $param); ?>
        <?php if ($hooks_html) { echo html_each($hooks_html); } ?>

    <?php } ?>

    <?php echo $append_html; ?>

    <div class="buttons">
        <?php echo html_submit($submit['title'], 'submit', $submit); ?>
        <?php if ($cancel['show']) { echo html_button($cancel['title'], 'cancel', "location.href='{$cancel['href']}'"); } ?>
    </div>

</form>
<?php if ($is_ajax){ ?>
    <script type="text/javascript">
        $(function (){
            $('#<?php echo $form_id; ?>').on('submit', function (){
                return icms.forms.submitAjax(this);
            });
        });
    </script>
<?php } ?>


<script>
	(function($) {$(function() {
		$('ul.notebooks__caption').on('click', 'li:not(.active)', function() {
			$(this)
				.addClass('active').siblings().removeClass('active')
				.closest('div.notebooks').find('div.notebooks__content').removeClass('active').eq($(this).index()).addClass('active');
		});
	
	});
	})(jQuery);
</script>

<script type="text/javascript">

	function ya_get(button){
		var button = $(button);
		var default_lang = 'ru';
		var page_lang = 'en';										

		
		var target_lang = button.attr('id');// целевой язык
		
		// получаем название поля
		var field = '';
		var current = button.attr('mark');
		if(current.indexOf("_" + target_lang) + 1){ 
			field = current.replace("_" + target_lang, '') 
		} else { field = current; }	

		// подготавливаем данные	
		textareas = $('#' + field + "_container");	
		lang = target_lang;			
		target = field.replace("_" + target_lang, ""); 
		if(target_lang != default_lang) target = target + "_" + target_lang;

		if ( $("input[name='" + target + "']").is( "input" )){ target_type = ".input";	}
		if ( $("textarea[name='" + target + "']").is( "textarea" )) target_type = ".textarea";
				
		// перебираем наши поля
		if(textareas)
		textareas.find(target_type).each(function() {
			text = $(this).val();
				
			// язык пользователя
			if($(this).attr('name') == field + '_' + page_lang && $(this).val()){
				translate(text, lang, target);			
				return false;
			} 
		
			// язык сайта
			if($(this).attr('name') == field && $(this).val()){ 
				translate(text, lang, target);	
				return false;				
			}
			
			// другой язык
			if($(this).attr('name') != current && $(this).attr('name') != field && $(this).val()){ 
				translate(text, lang, target);
				return false;				
			}

		});


	
		
		function translate(text, lang, target){

			$('img', button).attr('src', '/templates/default/images/loading.gif');			
			$.post("<?php echo href_to('languages').'/translate_ajax'; ?>", { text: text, lang : lang })
			.done(function(data) {
				data = data.replace('}null', '}');				
				var val = eval( '(' + data+ ')' );
				if(val.code > 200) { alert(val.message); } else {
					$('textarea[name=' + target + ']').val(val.text);
					$('#' + target + '_text .redactor-editor').html(val.text);
					$("input[name='" + target + "']").val(val.text);
				}					 
				$('img', button).attr('src', '/templates/default/controllers/languages/images/flags/flag_' + lang + '.png');
			});	
		}		

	}

</script>